from epics import caget, caput

def branch_valves():
    """
    returns a dictionary of the gate valves for a given branch

    used by close_valve and safe_state
    """
    
    GVs={
        'c':('GV10'),
        'd':('GV14'),
        'e':()
        }
    return GVs
    
def valve_close(GV, verbose=True):
    """
    closes the gate valve ('GV10', 'GV14'), EPS nomenclature

    Previously: Close_DValve,Close_DValve
    """
    caput("29id:BLEPS:"+GV+":CLOSE.VAL",1,wait=True,timeout=18000)
    if verbose:
        print("Closing gate valve: "+GV+"...")

def valve_open(GV, verbose=True):
    """
    closes the gate valve ('GV10', 'GV14'), EPS nomenclature

    Previously: Close_DValve,Close_DValve
    """
    caput("29id:BLEPS:"+GV+":OPEN.VAL",1,wait=True,timeout=18000)
    if verbose:
        print("Opening gate valve: "+GV+"...")