from os import listdir,mkdir,chmod
from os.path import join, isfile, exists

def folders_startup(run):
    """
    Creates the run directories for the following:
    data_29idb
    data_29idc
    data_29idd

    calls folder_ARPES('Staff');folder_Kappa('Staff')

    print text required to modify the rsynch crontab

    previously: Folders_Startup
    """
    data_directories=['data_29idb','data_29idc','data_29idd']
    dserv="/net/s29data/export/"
    for dataDir in data_directories:
        path=join(dserv,dataDir,run)
        print(path)
        if not (exists(path)):
            mkdir(path)

    #folders_ARPES('Staff',create_only=True)
    #folders_Kappa('Staff',create_only=True)

    txt="\n\n\nupdate the rsync portion the 29id@nerdy crontab\n"
    txt+="*/1 * * * * /usr/bin/rsync -av --exclude=core /net/s29data/export/data_29idd/"+run+" kip:/net/kip/sftp/pub/29iddftp/files >  /home/beams22/29ID/cronfiles/cptoftp-currrun-d.log 2>&1"
    txt+=("\n")
    txt+="*/1 * * * * /usr/bin/rsync -av --exclude=core /net/s29data/export/data_29idd/"+run+" kip:/net/kip/sftp/pub/29iddftp/files >  /home/beams22/29ID/cronfiles/cptoftp-currrun-d.log 2>&1"
    print(txt)

##############################################################################################################
##############################                 staff detectors                ##############################
##############################################################################################################


def staff_detector_dictionary(xrays=True):
    """
    returns a dictionary of the default detectors

    Previously: Detector_Default
    """
    det_dict={}
    diodes={
        15:"29idb:ca15:read"
        }
    slits_apertures={
        58:"29idb:Slit1Ht2.C",
        59:"29idb:Slit1Ht2.D",
        60:"29idb:Slit1Vt2.C",
        61:"29idb:Slit1Vt2.D",
        62:"29idb:Slit2Ht2.C",
        63:"29idb:Slit2Ht2.D",
        64:"29idb:Slit2Vt2.C",
        65:"29idb:Slit2Vt2.D",
        66:"29idb:Slit3CRBV",
        67:"29idb:Slit4Vt2.C"
        }
    vacuum_shutters={
        61:"29idb:VS1A.VAL",
        62:"29idb:VS2A.VAL",
        63:"29idb:VS3AB.VAL",
        64:"29idb:VS4B.VAL",
        65:"29idb:IP4B.VAL",
        66:"PA:29ID:SCS_BLOCKING_BEAM.VAL",
        67:"PA:29ID:SDS_BLOCKING_BEAM.VAL"
        }
    mono_details={
        68:"29idmono:ENERGY_SP",
        69:"29idmonoMIR:P.RBV",
        70:"29idmonoGRT:P.RBV"
        }
    det_dict.update(diodes)
    det_dict.update(slits_apertures)
    det_dict.update(mono_details)
    return det_dict