#!/usr/bin/env python

from epics import caget, caput
from time import sleep, gmtime, strftime, localtime

#Define caput with wait function
def caputw(PVname,PVinput):
    return caput(PVname,PVinput,wait=True, timeout = 100000)

def dateandtime():
    return strftime("%a %d %b %Y %H:%M:%S",localtime())

def tempr():
	print("RSXS Sample Temperature: {} K".format(caget("29idd:LS331:TC1:SampleA")))
	
def temps(tempset):
	print("Initial Sample Temperature:",caget("29idd:LS331:TC1:SampleA")," K",dateandtime())
	caput("29idd:LS331:TC1:wr_SP",1.0*tempset)
	stop_var=0
	b=0
	sleep(10)
	while b == 0:
		delta=abs(caget("29idd:LS331:TC1:SampleA")-1.0*tempset)
		if abs(delta) < 1:
			c=0
			while c < 10:
				sleep(1)
				delta=delta+(caget("29idd:LS331:TC1:SampleA")-1.0*tempset)
				c=c+1
			if abs(delta/10) < 1:
				print("Stable Sample Temperature:",caget("29idd:LS331:TC1:SampleA")," K",dateandtime())
				b=1
		else:
			temp1=caget("29idd:LS331:TC1:SampleA")
			sleep(10)
			temp2=caget("29idd:LS331:TC1:SampleA")
			if abs(temp1-temp2) < 0.1:
				sleep(30)
				temp2=caget("29idd:LS331:TC1:SampleA")
				if abs(temp1-temp2) < .5:
					print("UNABLE TO STABLIZE TEMPERATURE! Stopped at T=:",caget("29idd:LS331:TC1:SampleA")," K",dateandtime())
					b=1
	

