from math import floor

from epics import caput,PV

from iexcode.instruments.IEX_endstations import BL

def scaler_cts(time_seconds=0.1,verbose=True):
    """
    sets the scalers counting for the endstation defined in BL
    """
    if BL.ioc == 'Kappa':
        Kappa_scaler(time_seconds,verbose=verbose)


def Kappa_scaler(time_seconds=0.1,verbose=True):
    """
    Sets the integration time for the scalers in the Kappa chamber
    and mpa filter num if mpa is running
    """
    scaler_pv="29idMZ0:scaler1.TP"
    mpa_NumFilter = '29iddMPA:Proc1:NumFilter'
    
    caput(pv,time_seconds)
    
    pv=PV(mpa_NumFilter)
    if pv.connected():
        caput(mpa_NumFilter,floor(time_seconds))

    if verbose: 
        print("Integration time set to:", str(time_seconds))

